/*
 * $Id: Element_itemizedlist.java,v 1.1 2005/01/12 21:03:52 ian Exp $
 * $Name: gxparse-sf-alpha-2_0 $
 *
 * This file is part of Docbook Utilities, a set of XML tools for Docbook
 * Copyright (C) 2003, 2004  Ian E. Gorman
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * or go to http://www.gnu.org/
 *
 * Ian E. Gorman   http://gorman.ca/
 */

package tohtml.noname;

import ca.gorman.io.*;
import ca.gorman.xml.parse.*;
import java.io.*;
import javax.xml.namespace.QName;

import tohtml.common.*;
import static tohtml.noname.QNames.*;

/**<P>
 * Docbook itemizedlist to HTML UL.
 *
 */
public class Element_itemizedlist
        implements ElementListener<Parser<Docbook>>
{
    public void doElement(Parser<Docbook> parser, CurrentElement element)
            throws ListenerException, IOException
    {
        Docbook docbook = parser.getGlobal();
        docbook.writerStack.write(docbook.lineSeparator);
        docbook.writerStack.write("<ul>");
        element.parseContent();
        docbook.writerStack.write(docbook.lineSeparator);
        docbook.writerStack.write("</ul>");
    }
}
